libzypp 17.37.10

zyppng::detail::make_statewithtransition< State, Transitions > Struct Template Reference

Turns a State type into its StateWithTransitions counterpart. More...

`#include <zypp-core/zyppng/base/statemachine.h>`

## Public Types
using | Type = StateWithTransitions<State, typename collect_transitions<State, Transitions...>::Type>

## Detailed Description

template<typename State, typename ... Transitions>
struct zyppng::detail::make_statewithtransition< State, Transitions >

Turns a State type into its StateWithTransitions counterpart.

Definition at line 173 of file statemachine.h.

## Member Typedef Documentation

## ◆ Type

template<typename State, typename ... Transitions>

using zyppng::detail::make_statewithtransition< State, Transitions >::Type = StateWithTransitions<State, typename collect_transitions<State, Transitions...>::Type>

Definition at line 174 of file statemachine.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/base/statemachine.h